org.apache.tamaya.events

## Class FrozenPropertySource

- java.lang.Object
- - org.apache.tamaya.events.FrozenPropertySource

- All Implemented Interfaces:
    Serializable, PropertySource

      public final class FrozenPropertySource
      extends Object
      implements PropertySource, Serializable

  PropertySource implementation that stores all current values of a given (possibly dynamic, contextual and non remote capable instance) and is fully serializable. Note that hereby only the scannable key/value pairs are considered.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.tamaya.spi.PropertySource

      `TAMAYA_ORDINAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `get(String key)`
    `String` | `getName()`
    `int` | `getOrdinal()`
    `Map<String,String>` | `getProperties()`
    `int` | `hashCode()`
    `boolean` | `isScannable()`
    `static FrozenPropertySource` | `of(PropertySource propertySource)` Creates a new FrozenPropertySource instance based on a PropertySource given.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### of

          public static FrozenPropertySource of(PropertySource propertySource)

      Creates a new FrozenPropertySource instance based on a PropertySource given.
      Parameters:
        `propertySource` - the property source to be frozen, not null.
      Returns:
        the frozen property source.

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `PropertySource`

    - #### getOrdinal

          public int getOrdinal()

      Specified by:
        `getOrdinal` in interface `PropertySource`

    - #### get

          public String get(String key)

      Specified by:
        `get` in interface `PropertySource`

    - #### getProperties

          public Map<String,String> getProperties()

      Specified by:
        `getProperties` in interface `PropertySource`

    - #### isScannable

          public boolean isScannable()

      Specified by:
        `isScannable` in interface `PropertySource`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2015 Apache Software Foundation. All rights reserved.